Bug 138373 - www/apache22 accf_data required at apache startup
Summary: www/apache22 accf_data required at apache startup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-31 10:20 UTC by Helmut Schneider
Modified: 2009-12-11 23:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Helmut Schneider 2009-08-31 10:20:02 UTC
Since the upgrade from 2.2.11 to 2.2.13 there is a warning when starting apache:

[Mon Aug 31 11:09:04 2009] [warn] (2)No such file or directory: Failed to enable the 'dataready' Accept Filter

Fix: 

apache22_accf() {
-       retcode=0
        if checkyesno apache22_http_accept_enable
        then
-               /sbin/kldstat -v | grep accf_http >/dev/null 2>&1
-               retcode=${?}
-               if [ ${retcode} -ne 0 ]
-               then
-                       /sbin/kldload accf_http 2> /dev/null
-                       retcode=${?}
-               fi
+               /sbin/kldstat -v | grep accf_http > /dev/null 2>&1 || /sbin/kldload accf_http || return ${?}
+               /sbin/kldstat -v | grep accf_data > /dev/null 2>&1 || /sbin/kldload accf_data || return ${?}
        else
                apache22_flags="${apache22_flags} -DNOHTTPACCEPT"
        fi
-       [ ${retcode} -ne 0 ] && echo "Unable to load accf_http module"
-       return ${retcode}
+       return 0
 }

 load_rc_config $name--1A0ts2UJs5r2FH8l5YZG244zODsHMmbc7vFk2oKRc3EtCod0
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- apache22    2009-08-31 00:05:15.000000000 +0200
+++ /usr/local/etc/rc.d/apache22        2009-08-31 10:58:58.000000000 +0200
@@ -49,21 +49,14 @@
 [ -z "$apache22_fib" ] && apache22_fib="NO"
Comment 1 Edwin Groothuis freebsd_committer 2009-08-31 10:20:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2009-12-10 10:35:51 UTC
Responsible Changed
From-To: apache->pgollucci

I'll take it.
Comment 3 Miroslav Lachman 2009-12-10 11:16:18 UTC
Isn't it better to use 'required_modules' provided by rc.subr instead of 
custom checks?
Comment 4 Philip M. Gollucci freebsd_committer 2009-12-11 23:09:22 UTC
State Changed
From-To: open->analyzed

normally yes, but it runs at the wrong time and we can't handle the RC 
value to add -DNOHTTPACCEPT
Comment 5 Philip M. Gollucci freebsd_committer 2009-12-11 23:37:11 UTC
State Changed
From-To: analyzed->closed

Committed, with minor changes. Thanks!
Comment 6 dfilter service freebsd_committer 2009-12-11 23:37:16 UTC
pgollucci    2009-12-11 23:37:04 UTC

  FreeBSD ports repository

  Modified files:
    www/apache22         Makefile 
    www/apache22/files   apache22.in 
  Log:
  - Fix handling of apache22_http_accept_enable="YES|NO"
    o Note, don't use required_modules you can not check the return value
      to conditionalize the -DNOHTTPACCEPT flag
  
  PR:             ports/138373
  Submitted by:   Helmut Schneider <jumper99@gmx.de>
  
  Revision  Changes    Path
  1.247     +1 -1      ports/www/apache22/Makefile
  1.5       +9 -17     ports/www/apache22/files/apache22.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"